Skip to main content
POST
/
clabes-emisores
/
{clabeEmisorId}
/
autorizantes
Crear autorizante
curl --request POST \
  --url https://rest.yafacture.com/clabes-emisores/{clabeEmisorId}/autorizantes \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "nombre": "<string>",
  "notificaciones": {
    "emails": [
      "<string>"
    ],
    "telefonos": [
      "<string>"
    ]
  },
  "autorizantes": [
    {
      "nombre": "<string>",
      "email": "<string>"
    }
  ]
}
'
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nombre: '<string>',
notificaciones: {emails: ['<string>'], telefonos: ['<string>']},
autorizantes: [{nombre: '<string>', email: '<string>'}]
})
};

fetch('https://rest.yafacture.com/clabes-emisores/{clabeEmisorId}/autorizantes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://rest.yafacture.com/clabes-emisores/{clabeEmisorId}/autorizantes"

payload = {
"nombre": "<string>",
"notificaciones": {
"emails": ["<string>"],
"telefonos": ["<string>"]
},
"autorizantes": [
{
"nombre": "<string>",
"email": "<string>"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/clabes-emisores/{clabeEmisorId}/autorizantes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'nombre' => '<string>',
'notificaciones' => [
'emails' => [
'<string>'
],
'telefonos' => [
'<string>'
]
],
'autorizantes' => [
[
'nombre' => '<string>',
'email' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
HttpResponse<String> response = Unirest.post("https://rest.yafacture.com/clabes-emisores/{clabeEmisorId}/autorizantes")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"nombre\": \"<string>\",\n \"notificaciones\": {\n \"emails\": [\n \"<string>\"\n ],\n \"telefonos\": [\n \"<string>\"\n ]\n },\n \"autorizantes\": [\n {\n \"nombre\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n}")
.asString();
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://rest.yafacture.com/clabes-emisores/{clabeEmisorId}/autorizantes"

payload := strings.NewReader("{\n \"nombre\": \"<string>\",\n \"notificaciones\": {\n \"emails\": [\n \"<string>\"\n ],\n \"telefonos\": [\n \"<string>\"\n ]\n },\n \"autorizantes\": [\n {\n \"nombre\": \"<string>\",\n \"email\": \"<string>\"\n }\n ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "message": "Forbidden resource",
  "error": "Forbidden",
  "statusCode": 403
}

Authorizations

x-api-key
string
header
required

X-API-Key authentication header for the development token generated in Yafacture

Path Parameters

clabeEmisorId
string
required

Body

application/json
nombre
string

Nombre del emisor CLABE

notificaciones
object

Listado de notificaciones por email y teléfono

autorizantes
object[]

Listado de personas autorizadas para confirmar transferencias

Response